View Issue Details

IDProjectCategoryLast Update
0021054AI War 2[All Projects] Gameplay IdeaApr 20, 2019 5:16 pm
Reporterwm46Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.850 The Arrival of Fleets 
Fixed in VersionBETA 0.852 Directness Is Better 
Summary0021054: Suggestion: Built strike craft inherit the centerpiece commands
DescriptionSo that new ships built that join the fight auto FRD/attackmove/groupmove.

Maybe make it so this only occurs once the ship makes it to the planet the center piece is currently on?
TagsNo tags attached.

Relationships

child of 0021022 assignedx4000Bughunter Various fleet-related ideas (parent). 

Activities

wm46

Apr 18, 2019 10:49 pm

reporter   ~0051173

NVM, I see that this already happens, I'm just very impatient and like to micromanage.

wm46

Apr 18, 2019 11:01 pm

reporter   ~0051174

Something that does make this a bit hard to understand is you can end up intercepting your strikecraft before they reach your centerpiece and inherit the orders. It's actually fairly easy to accidentally do this if you like to press M to select all ships before giving a specific order like attacking a sabot guard post.

Maybe ships should ignore other orders until they meet up with the centerpiece?

x4000Bughunter

Apr 19, 2019 1:14 pm

administrator   ~0051192

I think that we would wind up with a lot of frustration on the part of players if we were to make ships mysteriously ignore orders. It's kind of a catch-22 situation, honestly.

During this transit time we want to be able to use these ships and tell them what to do. This happens now, but can lead to strange edge cases.

But once they arrive, we want them to do what the fleet is doing (which they do), but not until they get there.

Possibly this needs to be a more hard-and-fast rule that reinforcing ships can't be given orders and also can't be selected or whatever else. That could get kinda annoying, though, on its own.

The most obvious solution is to just have them pop out at the place they would be rallying to and cut down on the transit time entirely, and that would solve all these problems. But I have very mixed feelings on that.

x4000Bughunter

Apr 20, 2019 5:16 pm

administrator   ~0051244

Thanks!

* All concept of ships rallying to... anything... is now gone. It was annoying and full of edge cases that would cause players to have their fleets not behave how they wanted them to as refleeting was in progress.
** Now all ships that are created for a fleet by a factory now pop straight out of the fleet centerpiece, with all the orders from the fleet centerpiece (including stance).
** This gets around some of the most annoying logistical issues, and because the centerpieces of the fleets are so large it makes enough logical sense to not cause huge amounts of cognitive dissonance. Putting gameplay first, this is the only thing that really solves our age-old (literally like a decade old) problem.

Issue History

Date Modified Username Field Change
Apr 18, 2019 10:20 pm wm46 New Issue
Apr 18, 2019 10:49 pm wm46 Note Added: 0051173
Apr 18, 2019 10:50 pm wm46 Fixed in Version => BETA 0.850 The Arrival of Fleets
Apr 18, 2019 11:01 pm wm46 Note Added: 0051174
Apr 19, 2019 1:14 pm x4000Bughunter Note Added: 0051192
Apr 20, 2019 4:29 pm x4000Bughunter Assigned To => x4000Bughunter
Apr 20, 2019 4:29 pm x4000Bughunter Status new => assigned
Apr 20, 2019 4:29 pm x4000Bughunter Relationship added child of 0021022
Apr 20, 2019 5:16 pm x4000Bughunter Status assigned => resolved
Apr 20, 2019 5:16 pm x4000Bughunter Resolution open => fixed
Apr 20, 2019 5:16 pm x4000Bughunter Fixed in Version BETA 0.850 The Arrival of Fleets => BETA 0.852 Directness Is Better
Apr 20, 2019 5:16 pm x4000Bughunter Note Added: 0051244